Page MenuHomeSolus

Initial version of python-pymongo
ClosedPublic

Authored by kyrios123 on Jul 16 2017, 6:28 PM.

Details

Summary

Initial commit of python-pymongo (for python 2.x & 3.x).
Fixes T3985.

Signed-off-by: Pierre-Yves <pyu@riseup.net>

Test Plan

Successfully tested by @tristan957

Diff Detail

Repository
R4309 python-pymongo
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
kyrios123 created this revision.Jul 16 2017, 6:28 PM
Justin requested changes to this revision.Sep 21 2017, 1:01 AM
Justin added subscribers: ikey, Justin.
Justin added inline comments.
package.yml
2

@ikey can you please review name, the repo is called mongo-python-driver but the summary line at the top calls it pymongo.

9

I only see Apache-2.0 referenced in the LICENSE file, where is MIT referenced?

This revision now requires changes to proceed.Sep 21 2017, 1:01 AM
kyrios123 updated this revision to Diff 2501.Sep 21 2017, 8:42 AM
kyrios123 edited edge metadata.

Update pymongo to 3.5.1

@Justin @ikey

  • The MIT license comes from the THIRD-PARTY-NOTICE
  • Regarding the name, I prefer using the driver name PyMongo to the repository name that could eventually change. I took the habit to prefix perl parkages with perl-, python packages with python- or eventually python3- when different sources are provided for the python2 and python3 versions. I don't know if it's good or not but I observed many people do it and I find it convenient to search/sort without having to filter on the component.

Oh hey just realized I was cced here. I tested it and it worked fine for a small project that I have that uses pymongo. Sorry for being so late.

Python Modules¶

If the upstream name includes the word “python”, the package name is not changed.

Examples:

dbus-python: Python bindings for dbus
gnome-python-desktop: Python bindings for GNOME desktop libraries
If the upstream name does not include the word “python” and the project is a binding of another library, the library name with the prefix “python-” is used as the package name. In this case, the upstream name must be included in the package summary and description.

Examples:

python-gtk: Python bindings for GTK (pygtk)
python-qt: Python bindings for Qt (PyQt)
When the name does not comply with the rules above, “python-” prefix must be added to the upstream name.

Examples:

python-numpy: The fundamental package needed for scientific computing

with Python

python-FormEncode: A validation and form generation package for Python
python-pyaspects: Aspect-Oriented development for Python
For modules built for Python3, “python3” must be used instead of the word “python”.

Examples:

dbus-python3: Python3 bindings for dbus
gnome-python3-desktop: Python3 bindings for GNOME desktop libraries
python3-liblzma: Python3 bindings for liblzma (pyliblzma)

The package should be named mongo-python3 because it is compiled with python 3.

No Adam, it shouldn't. It should be python-pymongo.

kyrios123 updated this revision to Diff 4279.Dec 27 2017, 5:42 PM
kyrios123 edited the test plan for this revision. (Show Details)

Bump to 3.6.0

DataDrake accepted this revision.Jun 9 2018, 3:42 PM
DataDrake added a subscriber: DataDrake.

LGTM. Thanks!

DataDrake requested changes to this revision.Jun 9 2018, 3:45 PM

Needs to be built against the new python3

This revision now requires changes to proceed.Jun 9 2018, 3:45 PM
kyrios123 updated this revision to Diff 7550.Jun 9 2018, 5:21 PM
  • Rebase for python 3.6 stack update
  • Bump to version 3.6.1
  • Add mongodb as rundep
DataDrake accepted this revision.Jun 9 2018, 7:28 PM

LGTM. Thanks!

This revision was not accepted when it landed; it landed in state Needs Review.Jun 9 2018, 7:28 PM
This revision was automatically updated to reflect the committed changes.